## python-mockito 1.2.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/mockito-python.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/mockito-python.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/mockito-python"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/mockito-python"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

## python-mockito 0.5.2

=== debian/changelog ===
python-mockito (0.5.2-4) unstable; urgency=medium

  * Avoid downloading distribute when doing clean.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Oct 2014 14:59:31 +0800

python-mockito (0.5.2-3) unstable; urgency=medium

  * Do not use distribute.

 -- Thomas Goirand <zigo@debian.org>  Sun, 03 Aug 2014 14:21:21 +0000

python-mockito (0.5.2-2) unstable; urgency=medium

  * Sets http_proxy to avoid distribute to be downloaded from pypi and FTBFS
    because of "unrepresentable changes to source". Also patches the setup file
    which does the download (Closes: #735816).

 -- Thomas Goirand <zigo@debian.org>  Sat, 18 Jan 2014 04:17:16 +0000

python-mockito (0.5.2-1) unstable; urgency=low

  * Initial release. (Closes: #724978)

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Sep 2013 15:02:06 +0800

=== debian/control ===
Source: python-mockito
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-nose,
               python-setuptools,
               python3-all,
               python3-nose,
               python3-setuptools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-mockito.git
Vcs-Git: git://anonscm.debian.org/openstack/python-mockito.git
Homepage: http://code.google.com/p/mockito-python

Package: python-mockito
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}
Recommends: ${python:Recommends}
Description: spying (testing) framework - Python 2.x
 Mockito is a testing framework. The framework allows the creation of Test
 Double objects (called "Mock Objects") in automated unit tests for the purpose
 of Test-driven Development (TDD) or Behavior Driven Development (BDD).
 .
 Python Mockito is a spying framework based on Java library with the same name.
 .
 This package provides the Python 2.x module.

Package: python3-mockito
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Description: spying (testing) framework - Python 3.x
 Mockito is a testing framework. The framework allows the creation of Test
 Double objects (called "Mock Objects") in automated unit tests for the purpose
 of Test-driven Development (TDD) or Behavior Driven Development (BDD).
 .
 Python Mockito is a spying framework based on Java library with the same name.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

export http_proxy=127.0.0.1:9

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-mockito; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-mockito; \
	done

override_dh_auto_test:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py test ; \
	done
#	set -e && for pyvers in $(PYTHON3S); do \
#		python$$pyvers setup.py test ; \
#	done

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -fr nose-*-py*.egg

override_dh_auto_clean:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/m/mockito mockito-(.*).tar.gz

## python-mockito 1.2.2

=== debian/changelog ===
python-mockito (1.2.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.6.0, no changes needed.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 24 Nov 2022 17:16:57 +0000

python-mockito (1.2.2-2) unstable; urgency=medium

  * Source-only upload.

 -- Fabrice BAUZAC-STEHLY <noon@mykolab.com>  Sun, 19 Sep 2021 10:44:18 +0200

python-mockito (1.2.2-1) unstable; urgency=low

  * Initial release. Closes: #981067

 -- Fabrice BAUZAC-STEHLY <noon@mykolab.com>  Sun, 28 Feb 2021 15:28:57 +0100

=== debian/control ===
Source: python-mockito
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Fabrice BAUZAC-STEHLY <noon@mykolab.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-sphinx,
 texinfo,
 python3-pytest,
 python3-numpy,
Standards-Version: 4.6.1
Homepage: https://github.com/kaste/mockito-python
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mockito
Vcs-Git: https://salsa.debian.org/python-team/packages/python-mockito.git

Package: python3-mockito
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Spying framework for Python
 This is a spying framework for Python, similar to Java's Mockito.
 For example:
 .
 when(os.path).exists('/foo').thenReturn(True)
 .
 This package contains the Python3 library.

Package: python-mockito-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Multi-Arch: foreign
Description: Spying framework for Python - documentation
 This is a spying framework for Python, similar to Java's Mockito.
 For example:
 .
 when(os.path).exists('/foo').thenReturn(True)
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME = mockito

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
# Remove the travis-ci image, which raises a lintian
# "privacy-breach-generic" warning.
	sed -i -e '/travis/d' README.rst

	dh_auto_build -O--buildsystem=pybuild

# Generate the HTML and Info documentation.
	sed -i -e '/travis/d' docs/index.rst
	$(MAKE) -C docs html info PYTHONPATH=..

override_dh_installdocs:
	dh_installdocs -p python-mockito-doc --doc-main-package=python3-mockito
	dh_installdocs -O--buildsystem=pybuild --remaining-packages

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -O--buildsystem=pybuild
	py.test-3
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/kaste/mockito-python/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-mockito 1.4.0

=== debian/changelog ===
python-mockito (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/gbp.conf: Pull and commit to pristine-tar branch.
  * d/watch: Remove debian uupdate.
  * d/control:
    - Bump standards version from 4.6.1 to 4.6.2.
    - Add python3-pytest-asyncio to Builds-Depends.
    - Add testsuite for autopkgtest-pkg-pybuild to run upstream tests.
  * d/copyright:
    - Update copyright year to 2023 for debian/* files.
    - Add myself for debian/* files.
  * d/source/options: Ignore modified source files (Closes: #1046883).
  * d/salsa-ci.yml: Add salsa-ci pipeline.
  * d/rules:
    - Condense override_dh_auto_build into one section.
    - Remove override_dh_auto_test, not needed.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Fri, 20 Oct 2023 09:43:20 +0000

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,10 @@
  python3-sphinx,
  texinfo,
  python3-pytest,
+ python3-pytest-asyncio,
  python3-numpy,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/kaste/mockito-python
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mockito

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME = mockito

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	export http_proxy=127.0.0.1:9
	export https_proxy=127.0.0.1:9

	# Remove the travis-ci image, which raises a lintian
	# "privacy-breach-generic" warning.
	sed -i -e '/travis/d' README.rst
	dh_auto_build -O--buildsystem=pybuild

	# Generate the HTML and Info documentation.
	sed -i -e '/travis/d' docs/index.rst
	$(MAKE) -C docs html info PYTHONPATH=..

override_dh_installdocs:
	dh_installdocs -p python-mockito-doc --doc-main-package=python3-mockito
	dh_installdocs -O--buildsystem=pybuild --remaining-packages

=== debian/tests/control ===
Tests: os-path-exists

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/kaste/mockito-python/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
